jadwal/urls.py
from django.urls import path
from . import views

app_name = 'jadwal'

urlpatterns = [
    path('add-schedule/', views.add_sched, name='add-schedule'),
    path('my-schedule/', views.schedule, name="my-schedule"),
    path('delete-schedule/<id>', views.delete_sched, name="delete-sched"),
    path("detail/<id>", views.detail, name="detail")
]  

story/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic.base import TemplateView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', TemplateView.as_view(template_name="start.html"), name='start'),
    path('', include('homepage.urls')),
    path('', include('story1.urls')),
    path('', include('jadwal.urls')),
    path('',include('activity.urls')),
    path('',include('story7.urls')),
    path('',include('story8.urls')),
    path('accounts/',include('story9.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]

jadwal/models.py
from django.db import models
from django.core.validators import MaxValueValidator, MinValueValidator
# Create your models here.
gsl1 = "Gasal 2019/2020"
gnp1 = "Genap 2019/2020"
gsl2 = "Gasal 2020/2021"
gnp2 = "Genap 2020/2021"
SMT_CHOICES = (
    (gsl1,"Gasal 2019/2020"),
    (gnp1,"Genap 2019/2020"),
    (gsl2,"Gasal 2020/2021"),
    (gnp2,"Genap 2020/2021"),)

class AddSchedule(models.Model):
    sub = models.CharField("Subject",max_length=50, blank=True)

    room = models.CharField("Room",default="online class",max_length=50,blank=True)

    lecturer = models.CharField("Lecturer",max_length=50,blank=True)

    sks = models.IntegerField("Credits", default=1, validators= [MinValueValidator(1), MaxValueValidator(24)])

    smt = models.CharField("Semester",max_length=50, blank=True, choices= SMT_CHOICES, default=gsl2)

    desc = models.TextField("Description",blank=True)

    def __str__(self):
        return f'{self.jadwal}'
    

jadwal/forms.py
from django import forms
from .models import AddSchedule
from .models import SMT_CHOICES

class SchedForm(forms.ModelForm):
   class Meta:
       model = AddSchedule
       fields = ['sub', 'room','lecturer', 'sks', 'smt','desc']
       widgets = {
           'sub':forms.TextInput(attrs={'class':'form-control'}),
           'room':forms.TextInput(attrs={'class':'form-control'}),
           'lecturer':forms.TextInput(attrs={'class':"form-control"}),
           'sks':forms.NumberInput(attrs={'class':'form-control','minlength':1, 'maxlength': 6, 'required':True, 'type':'number'}),
           'smt':forms.Select(choices=SMT_CHOICES, attrs={'class':'form-control'}),
           'desc':forms.TextInput(attrs={'class':'form-control'})
       }

jadwal/views.py
from django.shortcuts import render, redirect
from .forms import SchedForm
from .models import AddSchedule

# Create your views here.
def add_sched(request):
    if request.method == "POST":
        form = SchedForm(request.POST)
        if form.is_valid():
            sched = form.save()
            sched.save()
            return redirect('jadwal:add-schedule')
    else:
        form = SchedForm()
    
    return render(request, 'tambah.html', {'form':form})

def delete_sched(request, id):
    AddSchedule.objects.get(id=id).delete()
    return redirect("jadwal:my-schedule")

def schedule(request):
    sched = AddSchedule.objects.order_by("sub")
    return render(request, 'schedule.html', {"sched":sched})

def detail(request,id):
    detail = AddSchedule.objects.get(id=id)
    return render(request,'detail.html',{"detail":detail})

jadwal/templates/detail.html
{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="card mb-5 mr-auto ml-auto" style="margin-top:100px; width: 75%; border-style: none;">
    <div class="card-body">
        <h1 class="text-center font-weight-bold" style="padding-bottom: 100px;">Subject Details</h1>
        <h3 class="text-center text-downpercase pb-2">{{ detail.sub }}</h3>
        <div class="table-responsive text-center align-middle">
            <table class ="table mr-auto ml-auto" style="width: 75%;">
                <tbody>
                <tr>
                    <td>Room</td>
                    <td>{{ detail.room }}</td>
                </tr>
                <tr>
                    <td>Lecturer</td>
                    <td>{{ detail.lecturer }}</td>
                </tr>
                <tr>
                    <td>Credits</td>
                    <td>{{ detail.sks }}</td>
                </tr>
                <tr>
                    <td>Semester</td>
                    <td>{{ detail.smt }}</td>
                </tr>
                <tr>
                    <td>Description</td>
                    <td>{{ detail.desc }}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>


{% endblock content %}

jadwal/templates/schedule.html
{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="my-schedule" style="margin-top: 150px;">
    <h1 class="pb-3 text-center font-weight-bold">My Schedule</h1>
    <div class="d-flex">
        <a href="{% url 'jadwal:add-schedule' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">Add Schedule</a>
    </div>
    <div class="card mr-auto ml-auto" style="width: 75%; margin-top: 70px;">
        <div class="card-body">
            <div class="table-responsive text-center align-middle">
                <table class ="table">
                    <thead style="background-color: black; color: white;">
                        <tr>
                            <th scope ="col">Subject</th>
                            <th scope ="col">Room</th>
                            <th scope ="col">Lecturer</th>
                            <th scope ="col">Credits</th>
                            <th scope ="col">Semester</th>
                            <th scope ="col">Description</th>
                            <th scope ="col">Delete</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% csrf_token %}
                    {% for sched in sched %}
                    <tr>
                        <td>
                            <a href="{% url 'jadwal:detail' sched.id %}" style="color: #FFB39B; text-decoration: none;">{{ sched.sub }}</a>
                        </td>
                        <td>{{ sched.room }}</td>
                        <td>{{ sched.lecturer }}</td>
                        <td>{{ sched.sks }}</td>
                        <td>{{ sched.smt }}</td>
                        <td>{{ sched.desc }}</td>
                        <td>
                            <a class="btn font-weight-bold" style="background-color: #FFB39B; color: black;" href="{% url 'jadwal:delete-sched' sched.id %}">x</a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% endblock content %}

jadwal/templates/tambah.html
{% extends 'index.html' %}
{% load static %}

{% block content %}
<div class="add-schedule" style="margin-top: 150px;">
    <h1 class="font-weight-bold text-center pb-3">Add Schedule</h1>
    <div class="d-flex">
        <a href="{% url 'jadwal:my-schedule' %}" class="btn click font-weight-bold mx-auto" role="button" aria-pressed="true" style="background-color: #FFB39B;">My Schedule</a>
    </div>

    <form method="POST">
        {% csrf_token %}
        <div class="mr-auto ml-auto mt-5" style="width: 50%;">
            {% for field in form %}
            <div class="form-grodown">
                {{ field.label_tag }}
                {{ field }}
            </div>
            {% endfor %}
            <br>
            <div class="container">
                <input type="submit" value="Add" class= "btn click font-weight-bold" style="background-color: #FFB39B; color: black;">
            </div>
        </div>
    </form>
</div>

{% endblock content %}